<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.00.00</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TIGLApiMessage&lt; DATA_TYPE, ID_TYPE &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classTIGLApiMessage.html">TIGLApiMessage&lt; DATA_TYPE, ID_TYPE &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classTIGLApiMessage.html#ae7f775baa649862450e48448fabf97ae">content</a></td><td class="entry"><a class="el" href="classTIGLApiMessage.html">TIGLApiMessage&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLApiMessage.html#a5b0a1ee1c93f1aa3cc549d5302ce96f8">getContent</a>()</td><td class="entry"><a class="el" href="classTIGLApiMessage.html">TIGLApiMessage&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLApiMessage.html#ae7b2bcd6adc37bfa481140578e0ea62e">getRcvr</a>()</td><td class="entry"><a class="el" href="classTIGLApiMessage.html">TIGLApiMessage&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLApiMessage.html#aa9369fd796d383a32d5da1dfdbf03029">getSender</a>()</td><td class="entry"><a class="el" href="classTIGLApiMessage.html">TIGLApiMessage&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLApiMessage.html#a521939564e210bb83a38bc6e27c1ab4c">maxContent</a>(CMessages &amp;newMessage)</td><td class="entry"><a class="el" href="classTIGLApiMessage.html">TIGLApiMessage&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLApiMessage.html#aca36b71d7530df34480482b909c5bd95">minContent</a>(CMessages &amp;newMessage)</td><td class="entry"><a class="el" href="classTIGLApiMessage.html">TIGLApiMessage&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLApiMessage.html#a1f179078ae75d7fc8523a99584c960ab">pack</a>(uint8_t *buf)</td><td class="entry"><a class="el" href="classTIGLApiMessage.html">TIGLApiMessage&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLApiMessage.html#a7968fe46245001626ec18c95b15ff6b6">rcvr</a></td><td class="entry"><a class="el" href="classTIGLApiMessage.html">TIGLApiMessage&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLApiMessage.html#a4424f2bddf5ccd38e2dac18a1f067e2f">sender</a></td><td class="entry"><a class="el" href="classTIGLApiMessage.html">TIGLApiMessage&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLApiMessage.html#a2f9439bfa1e4d00c52b57262c86cfe5c">setContent</a>(DATA_TYPE &amp;newContent)</td><td class="entry"><a class="el" href="classTIGLApiMessage.html">TIGLApiMessage&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLApiMessage.html#a1035677b3c041d84722ebcee934494c8">setMessage</a>(ID_TYPE &amp;tx, ID_TYPE &amp;rx, DATA_TYPE &amp;messContent)</td><td class="entry"><a class="el" href="classTIGLApiMessage.html">TIGLApiMessage&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLApiMessage.html#a759de6881a25aa38cbf86061b822303d">setMessage</a>(CMessages &amp;newMessage)</td><td class="entry"><a class="el" href="classTIGLApiMessage.html">TIGLApiMessage&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLApiMessage.html#a67ac68852a43eb8503f43c497ac8f6cd">sizeInBytes</a>()</td><td class="entry"><a class="el" href="classTIGLApiMessage.html">TIGLApiMessage&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLApiMessage.html#af73d429f62ed6755919596dfe5327bf0">sumContent</a>(DATA_TYPE &amp;newContent)</td><td class="entry"><a class="el" href="classTIGLApiMessage.html">TIGLApiMessage&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLApiMessage.html#a1bcf230cbd34f3ea11b0a19e6e8c46bb">TIGLApiMessage</a>()</td><td class="entry"><a class="el" href="classTIGLApiMessage.html">TIGLApiMessage&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLApiMessage.html#a2326c4d03d9ebc5ca0b0d5d2bcc907d9">TIGLApiMessage</a>(ID_TYPE &amp;tx, ID_TYPE &amp;rx, DATA_TYPE &amp;messContent)</td><td class="entry"><a class="el" href="classTIGLApiMessage.html">TIGLApiMessage&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLApiMessage.html#af7c907cb28b7976f0dc8e1039a789b9b">unpack</a>(uint8_t *buf)</td><td class="entry"><a class="el" href="classTIGLApiMessage.html">TIGLApiMessage&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLApiMessage.html#a371c566746c5bbfa8e8d23e8f9c0f8a8">~TIGLApiMessage</a>()</td><td class="entry"><a class="el" href="classTIGLApiMessage.html">TIGLApiMessage&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 25 2015 11:13:55 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
